Bug 482910 - Firefox 3.0.5 crashes when selecting "Save link as..." or "Save image as..."
Firefox 3.0.5 crashes when selecting "Save link as..." or "Save image as..."
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 14:25 EST by Pasi Sjöholm
Modified: 2009-12-18 02:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:43:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace of firefox crash (126.07 KB, text/plain)
2009-01-28 17:36 EST, Pasi Sjöholm
no flags Details

  None (edit)
Description Pasi Sjöholm 2009-01-28 14:25:18 EST
Description of problem:
Firefox 3.0.5 crashes when selecting "Save link as..." or "Save image as..."

Version-Release number of selected component (if applicable):
Name        : firefox                      Relocations: (not relocatable)
Version     : 3.0.5                             Vendor: Fedora Project
Release     : 1.fc10                        Build Date: Wed 17 Dec 2008 21:58:23 EET


How reproducible:
Every second or third time it crashes.

Steps to Reproduce:
1. Start firefox 
2. Try to save image or a file from a link.
3.
  
Actual results:
Firefox Crashes

Expected results:
No crash.

Additional info:
*** glibc detected *** /usr/lib/firefox-3.0.5/firefox: munmap_chunk(): invalid pointer: 0xeae2f848 ***
======= Backtrace: =========                                                                          
/lib/libc.so.6[0x2443a4]                                                                              
/lib/libglib-2.0.so.0(g_free+0x36)[0x7118c6]                                                          
/lib/libgio-2.0.so.0(g_content_type_guess+0xac)[0x84c65c]                                             
/lib/libgio-2.0.so.0[0x88306e]                                                                        
/lib/libgio-2.0.so.0[0x883d77]                                                                        
/lib/libgio-2.0.so.0[0x88101d]                                                                        
/lib/libgio-2.0.so.0[0x85c752]                                                                        
/lib/libgio-2.0.so.0[0x86e8b9]                                                                        
/lib/libgio-2.0.so.0[0x867e84]                                                                        
/lib/libglib-2.0.so.0[0x735306]                                                                       
/lib/libglib-2.0.so.0[0x733c6f]                                                                       
/lib/libpthread.so.0[0x38351f]                                                                        
/lib/libc.so.6(clone+0x5e)[0x2b904e]                                                                  
======= Memory map: ========                                                                          
00110000-00111000 r-xp 00110000 00:00 0                                  [vdso]                       
00111000-00155000 r-xp 00000000 fd:00 4283430                            /usr/lib/libpango-1.0.so.0.2203.0
00155000-00157000 rw-p 00044000 fd:00 4283430                            /usr/lib/libpango-1.0.so.0.2203.0
00157000-0015b000 r-xp 00000000 fd:00 4283470                            /usr/lib/libXfixes.so.3.1.0      
0015b000-0015c000 rw-p 00003000 fd:00 4283470                            /usr/lib/libXfixes.so.3.1.0      
0015c000-00164000 r-xp 00000000 fd:00 4283459                            /usr/lib/libXi.so.6.0.0          
00164000-00165000 rw-p 00007000 fd:00 4283459                            /usr/lib/libXi.so.6.0.0          
00165000-0016e000 r-xp 00000000 fd:00 4283479                            /usr/lib/libXcursor.so.1.0.2     
0016e000-0016f000 rw-p 00008000 fd:00 4283479                            /usr/lib/libXcursor.so.1.0.2     
0016f000-00174000 r-xp 00000000 fd:00 4280277                            /usr/lib/libXdmcp.so.6.0.0       
00174000-00175000 rw-p 00004000 fd:00 4280277                            /usr/lib/libXdmcp.so.6.0.0       
00175000-00179000 r-xp 00000000 fd:00 4686273                            /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
00179000-0017a000 rw-p 00003000 fd:00 4686273                            /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
0017a000-00187000 r-xp 00000000 fd:00 6324324                            /lib/libgcc_s-4.3.2-20081105.so.1                 
00187000-00188000 rw-p 0000c000 fd:00 6324324                            /lib/libgcc_s-4.3.2-20081105.so.1                 
00188000-00189000 r-xp 00000000 fd:00 884739                             /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so     
00189000-0018a000 rw-p 00001000 fd:00 884739                             /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so     
0018a000-001a6000 r-xp 00000000 fd:00 4283362                            /usr/lib/libgdk_pixbuf-2.0.so.0.1400.5            
001a6000-001a7000 rw-p 0001b000 fd:00 4283362                            /usr/lib/libgdk_pixbuf-2.0.so.0.1400.5            
001a7000-001a8000 r-xp 00000000 fd:00 4685940                            /usr/lib/pango/1.6.0/modules/pango-arabic-lang.so 
001a8000-001a9000 rw-p 00000000 fd:00 4685940                            /usr/lib/pango/1.6.0/modules/pango-arabic-lang.so 
001a9000-001ab000 r-xp 00000000 fd:00 4283571                            /usr/lib/libXcomposite.so.1.0.0                   
001ab000-001ac000 rw-p 00001000 fd:00 4283571                            /usr/lib/libXcomposite.so.1.0.0                   
001ac000-001af000 r-xp 00000000 fd:00 4266163                            /usr/lib/libcanberra-gtk.so.0.0.4                 
001af000-001b0000 rw-p 00002000 fd:00 4266163                            /usr/lib/libcanberra-gtk.so.0.0.4                 
001b0000-001d0000 r-xp 00000000 fd:00 6327197                            /lib/ld-2.9.so                                    
001d1000-001d2000 r--p 00020000 fd:00 6327197                            /lib/ld-2.9.so                                    
001d2000-001d3000 rw-p 00021000 fd:00 6327197                            /lib/ld-2.9.so                                    
001d5000-00343000 r-xp 00000000 fd:00 6327198                            /lib/libc-2.9.so                                  
00343000-00345000 r--p 0016e000 fd:00 6327198                            /lib/libc-2.9.so                                  
00345000-00346000 rw-p 00170000 fd:00 6327198                            /lib/libc-2.9.so                                  
00346000-00349000 rw-p 00346000 00:00 0                                                                                    
0034b000-0034e000 r-xp 00000000 fd:00 6327200                            /lib/libdl-2.9.so                                 
0034e000-0034f000 r--p 00002000 fd:00 6327200                            /lib/libdl-2.9.so                                 
0034f000-00350000 rw-p 00003000 fd:00 6327200                            /lib/libdl-2.9.so                                 
00352000-00379000 r-xp 00000000 fd:00 6327201                            /lib/libm-2.9.so                                  
00379000-0037a000 r--p 00026000 fd:00 6327201                            /lib/libm-2.9.so                                  
0037a000-0037b000 rw-p 00027000 fd:00 6327201                            /lib/libm-2.9.so                                  
0037d000-00393000 r-xp 00000000 fd:00 6327203                            /lib/libpthread-2.9.so                            
00393000-00394000 r--p 00015000 fd:00 6327203                            /lib/libpthread-2.9.so                            
00394000-00395000 rw-p 00016000 fd:00 6327203                            /lib/libpthread-2.9.so                            
00395000-00397000 rw-p 00395000 00:00 0                                                                                    
00399000-003c0000 r-xp 00000000 fd:00 4261867                            /usr/lib/libpng12.so.0.33.0                       
003c0000-003c1000 rw-p 00026000 fd:00 4261867                            /usr/lib/libpng12.so.0.33.0                       
003c3000-003d6000 r-xp 00000000 fd:00 6327209                            /lib/libz.so.1.2.3                                
003d6000-003d7000 rw-p 00012000 fd:00 6327209                            /lib/libz.so.1.2.3                                
003d7000-00405000 r-xp 00000000 fd:00 4280237                            /usr/lib/libfontconfig.so.1.3.0                   
00405000-00406000 rw-p 0002e000 fd:00 4280237                            /usr/lib/libfontconfig.so.1.3.0                   
00406000-00411000 r-xp 00000000 fd:00 6324322                            /lib/libnss_files-2.9.so                          
00411000-00412000 r--p 0000a000 fd:00 6324322                            /lib/libnss_files-2.9.so                          
00412000-00413000 rw-p 0000b000 fd:00 6324322                            /lib/libnss_files-2.9.so                          
00413000-0041a000 r-xp 00000000 fd:00 4262269                            /usr/lib/libvorbisfile.so.3.2.0                   
0041a000-0041b000 rw-p 00006000 fd:00 4262269                            /usr/lib/libvorbisfile.so.3.2.0                   
0041c000-0041f000 r-xp 00000000 fd:00 6327206                            /lib/libgmodule-2.0.so.0.1800.3                   
0041f000-00420000 rw-p 00002000 fd:00 6327206                            /lib/libgmodule-2.0.so.0.1800.3                   
00422000-00498000 r-xp 00000000 fd:00 4283440                            /usr/lib/libcairo.so.2.10800.0                    
00498000-0049a000 rw-p 00075000 fd:00 4283440                            /usr/lib/libcairo.so.2.10800.0                    
0049a000-004da000 r-xp 00000000 fd:00 6327205                            /lib/libgobject-2.0.so.0.1800.3                   
004da000-004db000 rw-p 00040000 fd:00 6327205                            /lib/libgobject-2.0.so.0.1800.3                   
004db000-004ed000 r-xp 00000000 fd:00 4718605                            /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so      
004ed000-004ee000 rw-p 00011000 fd:00 4718605                            /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so      
004ee000-004fc000 r-xp 00000000 fd:00 4262348                            /usr/lib/libcanberra.so.0.1.3                     
004fc000-004fd000 rw-p 0000e000 fd:00 4262348                            /usr/lib/libcanberra.so.0.1.3                     
004fd000-00502000 r-xp 00000000 fd:00 4273313                            /usr/lib/libogg.so.0.5.3                          
00502000-00503000 rw-p 00004000 fd:00 4273313                            /usr/lib/libogg.so.0.5.3                          
00503000-00509000 r-xp 00000000 fd:00 4266182                            /usr/lib/libltdl.so.3.1.6                         
00509000-0050a000 rw-p 00006000 fd:00 4266182                            /usr/lib/libltdl.so.3.1.6                         
0050a000-0050c000 r-xp 00000000 fd:00 688371                             /usr/lib/gconv/UTF-16.so                          
0050c000-0050d000 r--p 00002000 fd:00 688371                             /usr/lib/gconv/UTF-16.so                          
0050d000-0050e000 rw-p 00003000 fd:00 688371                             /usr/lib/gconv/UTF-16.so                          
0050e000-00510000 r-xp 00000000 fd:00 6324253                            /lib/libcom_err.so.2.1                            
00510000-00511000 rw-p 00001000 fd:00 6324253                            /lib/libcom_err.so.2.1                            
00511000-005a0000 r-xp 00000000 fd:00 4280230                            /usr/lib/libfreetype.so.6.3.18                    
005a0000-005a4000 rw-p 0008f000 fd:00 4280230                            /usr/lib/libfreetype.so.6.3.18                    
005a6000-005cb000 r-xp 00000000 fd:00 6327199                            /lib/libexpat.so.1.5.2                            
005cb000-005cd000 rw-p 00024000 fd:00 6327199                            /lib/libexpat.so.1.5.2                            
005cf000-006cc000 r-xp 00000000 fd:00 4280280                            /usr/lib/libX11.so.6.2.0                          
006cc000-006d0000 rw-p 000fc000 fd:00 4280280                            /usr/lib/libX11.so.6.2.0                          
006d2000-007b4000 r-xp 00000000 fd:00 6324390                            /lib/libglib-2.0.so.0.1800.3                      
007b4000-007b5000 rw-p 000e2000 fd:00 6324390                            /lib/libglib-2.0.so.0.1800.3                      
007b7000-007e0000 r-xp 00000000 fd:00 4283441                            /usr/lib/libpangoft2-1.0.so.0.2203.0              
007e0000-007e1000 rw-p 00029000 fd:00 4283441                            /usr/lib/libpangoft2-1.0.so.0.2203.0              
007e3000-007fe000 r-xp 00000000 fd:00 4280278                            /usr/lib/libxcb.so.1.0.0                          
007fe000-007ff000 rw-p 0001b000 fd:00 4280278                            /usr/lib/libxcb.so.1.0.0                          
00801000-00802000 r-xp 00000000 fd:00 4280279                            /usr/lib/libxcb-xlib.so.0.0.0                     
00802000-00803000 rw-p 00000000 fd:00 4280279                            /usr/lib/libxcb-xlib.so.0.0.0                     
00805000-00807000 r-xp 00000000 fd:00 4280276                            /usr/lib/libXau.so.6.0.0                          
00807000-00808000 rw-p 00001000 fd:00 4280276                            /usr/lib/libXau.so.6.0.0                          
0080a000-00819000 r-xp 00000000 fd:00 4283449                            /usr/lib/libXext.so.6.4.0                         
00819000-0081a000 rw-p 0000e000 fd:00 4283449                            /usr/lib/libXext.so.6.4.0                         
0081c000-00837000 r-xp 00000000 fd:00 4284432                            /usr/lib/libatk-1.0.so.0.2409.1                   
00837000-00839000 rw-p 0001a000 fd:00 4284432                            /usr/lib/libatk-1.0.so.0.2409.1                   
00839000-008aa000 r-xp 00000000 fd:00 6327208                            /lib/libgio-2.0.so.0.1800.3                       
008aa000-008ac000 rw-p 00071000 fd:00 6327208                            /lib/libgio-2.0.so.0.1800.3                       
008ac000-008b9000 r-xp 00000000 fd:00 4266035                            /usr/lib/libtdb.so.1                              
008b9000-008ba000 r--p 0000c000 fd:00 4266035                            /usr/lib/libtdb.so.1                              
008ba000-008bb000 rw-p 0000d000 fd:00 4266035                            /usr/lib/libtdb.so.1                              
008bb000-008ca000 r-xp 00000000 fd:00 4851080                            /usr/lib/xulrunner-1.9/components/libimgicon.so   
008ca000-008cb000 rw-p 0000f000 fd:00 4851080                            /usr/lib/xulrunner-1.9/components/libimgicon.so   
008cb000-008ce000 r-xp 00000000 fd:00 4270699                            /usr/lib/libavahi-glib.so.1.0.1                   
008ce000-008cf000 rw-p 00002000 fd:00 4270699                            /usr/lib/libavahi-glib.so.1.0.1                   
008cf000-008d1000 r-xp 00000000 fd:00 4685944                            /usr/lib/pango/1.6.0/modules/pango-arabic-fc.so   
008d1000-008d2000 rw-p 00001000 fd:00 4685944                            /usr/lib/pango/1.6.0/modules/pango-arabic-fc.so   
008d2000-008d4000 r-xp 00000000 fd:00 4283454                            /usr/lib/libXinerama.so.1.0.0                     
008d4000-008d5000 rw-p 00001000 fd:00 4283454                            /usr/lib/libXinerama.so.1.0.0                     
008d7000-009be000 r-xp 00000000 fd:00 4275060                            /usr/lib/libstdc++.so.6.0.10                      
009be000-009c2000 r--p 000e6000 fd:00 4275060                            /usr/lib/libstdc++.so.6.0.10                      
009c2000-009c4000 rw-p 000ea000 fd:00 4275060                            /usr/lib/libstdc++.so.6.0.10                      
009c4000-009c9000 rw-p 009c4000 00:00 0                                                                                    
009cb000-009d5000 r-xp 00000000 fd:00 4283447                            /usr/lib/libpangocairo-1.0.so.0.2203.0            
009d5000-009d6000 rw-p 00009000 fd:00 4283447                            /usr/lib/libpangocairo-1.0.so.0.2203.0            
009d8000-009de000 r-xp 00000000 fd:00 4283465                            /usr/lib/libXrandr.so.2.1.0                       
009de000-009df000 rw-p 00005000 fd:00 4283465                            /usr/lib/libXrandr.so.2.1.0                       
009e1000-009e3000 r-xp 00000000 fd:00 4283595                            /usr/lib/libXdamage.so.1.1.0                      
009e3000-009e4000 rw-p 00001000 fd:00 4283595                            /usr/lib/libXdamage.so.1.1.0                      
009e6000-00dc5000 r-xp 00000000 fd:00 4284512                            /usr/lib/libgtk-x11-2.0.so.0.1400.5               
00dc5000-00dcb000 rw-p 003df000 fd:00 4284512                            /usr/lib/libgtk-x11-2.0.so.0.1400.5               
00dcb000-00dcc000 rw-p 00dcb000 00:00 0                                                                                    
00dce000-00dd6000 r-xp 00000000 fd:00 4280281                            /usr/lib/libXrender.so.1.3.0                      
00dd6000-00dd7000 rw-p 00007000 fd:00 4280281                            /usr/lib/libXrender.so.1.3.0                      
00dd7000-00e69000 r-xp 00000000 fd:00 4284213                            /usr/lib/libgdk-x11-2.0.so.0.1400.5               
00e69000-00e6c000 rw-p 00092000 fd:00 4284213                            /usr/lib/libgdk-x11-2.0.so.0.1400.5               
00e6c000-00e89000 r-xp 00000000 fd:00 4262265                            /usr/lib/libvorbis.so.0.4.0                       
00e89000-00e97000 rw-p 0001d000 fd:00 4262265                            /usr/lib/libvorbis.so.0.4.0                       
00e97000-00ea3000 r-xp 00000000 fd:00 4851088                            /usr/lib/xulrunner-1.9/components/libnkgnomevfs.so
00ea3000-00ea4000 rw-p 0000c000 fd:00 4851088                            /usr/lib/xulrunner-1.9/components/libnkgnomevfs.so
00ea4000-00f05000 r-xp 00000000 fd:00 4291457                            /usr/lib/libgnomevfs-2.so.0.2400.0                
00f05000-00f08000 rw-p 00060000 fd:00 4291457                            /usr/lib/libgnomevfs-2.so.0.2400.0                
00f08000-00f3b000 r-xp 00000000 fd:00 4262211                            /usr/lib/libgconf-2.so.4.1.5                      
00f3b000-00f3e000 rw-p 00033000 fd:00 4262211                            /usr/lib/libgconf-2.so.4.1.5                      
00f3e000-01089000 r-xp 00000000 fd:00 4279481                            /usr/lib/libxml2.so.2.7.2                         
01089000-0108e000 rw-p 0014a000 fd:00 4279481                            /usr/lib/libxml2.so.2.7.2                         
0108e000-0108f000 rw-p 0108e000 00:00 0                                                                                    
0108f000-011c6000 r-xp 00000000 fd:00 6324264                            /lib/libcrypto.so.0.9.8g                          
011c6000-011da000 rw-p 00136000 fd:00 6324264                            /lib/libcrypto.so.0.9.8g                          
011da000-011dd000 rw-p 011da000 00:00 0                                                                                    
011dd000-011e1000 r-xp 00000000 fd:00 6327211                            /lib/libcap.so.2.10                               
011e1000-011e2000 rw-p 00003000 fd:00 6327211                            /lib/libcap.so.2.10                               
011e2000-0120f000 r-xp 00000000 fd:00 4268914                            /usr/lib/libgssapi_krb5.so.2.2                    
0120f000-01210000 rw-p 0002d000 fd:00 4268914                            /usr/lib/libgssapi_krb5.so.2.2                    
01210000-012ac000 r-xp 00000000 fd:00 4262334                            /usr/lib/libkrb5.so.3.3                           
012ac000-012af000 rw-p 0009b000 fd:00 4262334                            /usr/lib/libkrb5.so.3.3                           
012af000-012d3000 r-xp 00000000 fd:00 4262324                            /usr/lib/libk5crypto.so.3.1                       
012d3000-012d4000 rw-p 00024000 fd:00 4262324                            /usr/lib/libk5crypto.so.3.1                       
012d4000-012dd000 r-xp 00000000 fd:00 4262336                            /usr/lib/libkrb5support.so.0.1                    
012dd000-012de000 rw-p 00008000 fd:00 4262336                            /usr/lib/libkrb5support.so.0.1                    
012de000-012ea000 r-xp 00000000 fd:00 4851082                            /usr/lib/xulrunner-1.9/components/libmozgnome.so  
012ea000-012eb000 rw-p 0000b000 fd:00 4851082                            /usr/lib/xulrunner-1.9/components/libmozgnome.so  
012eb000-012ff000 r-xp 00000000 fd:00 4291459                            /usr/lib/libgnome-2.so.0.2400.1                   
012ff000-01300000 rw-p 00013000 fd:00 4291459                            /usr/lib/libgnome-2.so.0.2400.1                   
01300000-01308000 r-xp 00000000 fd:00 6325757                            /lib/libpopt.so.0.0.0                             
01308000-01309000 rw-p 00007000 fd:00 6325757                            /lib/libpopt.so.0.0.0                             
01309000-0133d000 r-xp 00000000 fd:00 4266889                            /usr/lib/librsvg-2.so.2.22.3                      
0133d000-0133e000 rw-p 00034000 fd:00 4266889                            /usr/lib/librsvg-2.so.2.22.3                      
0133e000-01341000 r-xp 00000000 fd:00 4286474                            /usr/lib/libflashsupport.so                       
01341000-01342000 rw-p 00002000 fd:00 4286474                            /usr/lib/libflashsupport.so                       
01342000-013b0000 r-xp 00000000 fd:00 4269971                            /usr/lib/libpulse.so.0.7.0                        
013b0000-013b1000 rw-p 0006e000 fd:00 4269971                            /usr/lib/libpulse.so.0.7.0                        
013b1000-013b6000 r-xp 00000000 fd:00 4290028                            /usr/lib/libasyncns.so.0.3.1                      
013b6000-013b7000 rw-p 00004000 fd:00 4290028                            /usr/lib/libasyncns.so.0.3.1                      
013b7000-013bd000 r-xp 00000000 fd:00 4289977                            /usr/lib/libgdbm.so.2.0.0                         
013bd000-013be000 rw-p 00005000 fd:00 4289977                            /usr/lib/libgdbm.so.2.0.0                         
013be000-01405000 r-xp 00000000 fd:00 4283875                            /usr/lib/libcurl.so.4.1.0                         
01405000-01407000 rw-p 00046000 fd:00 4283875                            /usr/lib/libcurl.so.4.1.0                         
01407000-01447000 r-xp 00000000 fd:00 4287295                            /usr/lib/libldap-2.4.so.2.2.0                     
01447000-01449000 rw-p 0003f000 fd:00 4287295                            /usr/lib/libldap-2.4.so.2.2.0                     
01449000-01453000 r-xp 00000000 fd:00 6324301                            /lib/libcrypt-2.9.so                              
01453000-01454000 r--p 00009000 fd:00 6324301                            /lib/libcrypt-2.9.so                              
01454000-01455000 rw-p 0000a000 fd:00 6324301                            /lib/libcrypt-2.9.so                              
01455000-0147c000 rw-p 01455000 00:00 0                                                                                    
0147c000-0147e000 r-xp 00000000 fd:00 4685890                            /usr/lib/pango/1.6.0/modules/pango-hangul-fc.so   
0147e000-0147f000 rw-p 00002000 fd:00 4685890                            /usr/lib/pango/1.6.0/modules/pango-hangul-fc.so   
0164b000-0164d000 r-xp 00000000 fd:00 6324348                            /lib/libutil-2.9.so                               
0164d000-0164e000 r--p 00001000 fd:00 6324348                            /lib/libutil-2.9.so                               
0164e000-0164f000 rw-p 00002000 fd:00 6324348                            /lib/libutil-2.9.so                               
016bb000-016c6000 r-xp 00000000 fd:00 4262184                            /usr/lib/libavahi-common.so.3.5.0                 
016c6000-016c7000 rw-p 0000a000 fd:00 4262184                            /usr/lib/libavahi-common.so.3.5.0                 
016f3000-01702000 r-xp 00000000 fd:00 4280446                            /usr/lib/libavahi-client.so.3.2.4                 
01702000-01703000 rw-p 0000f000 fd:00 4280446                            /usr/lib/libavahi-client.so.3.2.4                 
01755000-01768000 r-xp 00000000 fd:00 6324339                            /lib/libresolv-2.9.so                             
01768000-01769000 r--p 00012000 fd:00 6324339                            /lib/libresolv-2.9.so                             
01769000-0176a000 rw-p 00013000 fd:00 6324339                            /lib/libresolv-2.9.so                             
0176a000-0176c000 rw-p 0176a000 00:00 0                                                                                    
01aff000-01b4f000 r-xp 00000000 fd:00 4262205                            /usr/lib/libORBit-2.so.0.1.0                      
01b4f000-01b58000 rw-p 00050000 fd:00 4262205                            /usr/lib/libORBit-2.so.0.1.0                      
01b58000-01b59000 rw-p 01b58000 00:00 0                                                                                    
025c8000-025d1000 r-xp 00000000 fd:00 4851078                            /usr/lib/xulrunner-1.9/components/libdbusservice.so
025d1000-025d2000 rw-p 00009000 fd:00 4851078                            /usr/lib/xulrunner-1.9/components/libdbusservice.so
025d2000-02f24000 r-xp 00000000 fd:00 4293621                            /usr/lib/flash-plugin/libflashplayer.so            
02f24000-02f58000 rw-p 00951000 fd:00 4293621                            /usr/lib/flash-plugin/libflashplayer.so            
02f58000-03042000 rw-p 02f58000 00:00 0                                                                                     
031f4000-0320a000 r-xp 00000000 fd:00 6324315                            /lib/libnsl-2.9.so                                 
0320a000-0320b000 r--p 00016000 fd:00 6324315                            /lib/libnsl-2.9.so                                 
0320b000-0320c000 rw-p 00017000 fd:00 6324315                            /lib/libnsl-2.9.so                                 
0320c000-0320e000 rw-p 0320c000 00:00 0                                                                                     
0353e000-03583000 r-xp 00000000 fd:00 4283437                            /usr/lib/libpixman-1.so.0.12.0                     
03583000-03585000 rw-p 00045000 fd:00 4283437                            /usr/lib/libpixman-1.so.0.12.0                     
03587000-035a1000 r-xp 00000000 fd:00 6327207                            /lib/libselinux.so.1                               
035a1000-035a2000 r--p 00019000 fd:00 6327207                            /lib/libselinux.so.1                               
035a2000-035a3000 rw-p 0001a000 fd:00 6327207                            /lib/libselinux.so.1                               
035a5000-035ad000 r-xp 00000000 fd:00 6327218                            /lib/librt-2.9.so                                  
035ad000-035ae000 r--p 00007000 fd:00 6327218                            /lib/librt-2.9.so                                  
035ae000-035af000 rw-p 00008000 fd:00 6327218                            /lib/librt-2.9.so                                  
035b1000-035b4000 r-xp 00000000 fd:00 6327202                            /lib/libuuid.so.1.2                                
035b4000-035b5000 rw-p 00003000 fd:00 6327202                            /lib/libuuid.so.1.2                                
035b7000-035bb000 r-xp 00000000 fd:00 6327219                            /lib/libgthread-2.0.so.0.1800.3                    
035bb000-035bc000 rw-p 00003000 fd:00 6327219                            /lib/libgthread-2.0.so.0.1800.3                    
035be000-035e0000 r-xp 00000000 fd:00 4272566                            /usr/lib/libjpeg.so.62.0.0                         
035e0000-035e1000 rw-p 00021000 fd:00 4272566                            /usr/lib/libjpeg.so.62.0.0                         
035e3000-0361a000 r-xp 00000000 fd:00 6327212                            /lib/libnspr4.so                                   
0361a000-0361b000 rw-p 00037000 fd:00 6327212                            /lib/libnspr4.so                                   
0361b000-0361d000 rw-p 0361b000 00:00 0                                                                                     
0361f000-03622000 r-xp 00000000 fd:00 6327214                            /lib/libplds4.so                                   
03622000-03623000 rw-p 00002000 fd:00 6327214                            /lib/libplds4.so                                   
03625000-03629000 r-xp 00000000 fd:00 6327213                            /lib/libplc4.so                                    
03629000-0362a000 rw-p 00003000 fd:00 6327213                            /lib/libplc4.so                                    
0362c000-0363f000 r-xp 00000000 fd:00 4280282                            /usr/lib/libXft.so.2.1.13                          
0363f000-03640000 rw-p 00012000 fd:00 4280282                            /usr/lib/libXft.so.2.1.13                          
03642000-03671000 r-xp 00000000 fd:00 6327221                            /lib/libssl3.so                                    
03671000-03673000 rw-p 0002e000 fd:00 6327221                            /lib/libssl3.so                                    
03675000-037b4000 r-xp 00000000 fd:00 6327216                            /lib/libnss3.so                                    
037b4000-037ba000 rw-p 0013e000 fd:00 6327216                            /lib/libnss3.so                                    
037bc000-037d2000 r-xp 00000000 fd:00 6327215                            /lib/libnssutil3.so                                
037d2000-037d5000 rw-p 00015000 fd:00 6327215                            /lib/libnssutil3.so                                
037d7000-037fc000 r-xp 00000000 fd:00 6327217                            /lib/libsmime3.so                                  
037fc000-037fe000 rw-p 00025000 fd:00 6327217                            /lib/libsmime3.so                                  
03800000-03803000 r-xp 00000000 fd:00 4849919                            /usr/lib/xulrunner-1.9/libxpcom.so                 
03803000-03804000 rw-p 00003000 fd:00 4849919                            /usr/lib/xulrunner-1.9/libxpcom.so                 
03806000-038bd000 r-xp 00000000 fd:00 4850091                            /usr/lib/xulrunner-1.9/libmozjs.so                 
038bd000-038c2000 rw-p 000b6000 fd:00 4850091                            /usr/lib/xulrunner-1.9/libmozjs.so                 
038c4000-038f8000 r-xp 00000000 fd:00 4267955                            /usr/lib/liblcms.so.1.0.16                         
038f8000-038fa000 rw-p 00033000 fd:00 4267955                            /usr/lib/liblcms.so.1.0.16                         
038fa000-038fc000 rw-p 038fa000 00:00 0                                                                                     
038fe000-03915000 r-xp 00000000 fd:00 4284275                            /usr/lib/libICE.so.6.3.0                           
03915000-03916000 rw-p 00016000 fd:00 4284275                            /usr/lib/libICE.so.6.3.0                           
03916000-03918000 rw-p 03916000 00:00 0                                                                                     
0391a000-03983000 r-xp 00000000 fd:00 4269226                            /usr/lib/libsqlite3.so.0.8.6                       
03983000-03985000 rw-p 00068000 fd:00 4269226                            /usr/lib/libsqlite3.so.0.8.6                       
03987000-0398e000 r-xp 00000000 fd:00 4287387                            /usr/lib/libSM.so.6.0.0                            
0398e000-0398f000 rw-p 00006000 fd:00 4287387                            /usr/lib/libSM.so.6.0.0                            
03991000-04a27000 r-xp 00000000 fd:00 4850127                            /usr/lib/xulrunner-1.9/libxul.so                   
04a27000-04b03000 rw-p 01095000 fd:00 4850127                            /usr/lib/xulrunner-1.9/libxul.so                   
04b03000-04b12000 rw-p 04b03000 00:00 0                                                                                     
04b14000-04b6a000 r-xp 00000000 fd:00 4281566                            /usr/lib/libXt.so.6.0.0                            
04b6a000-04b6e000 rw-p 00056000 fd:00 4281566                            /usr/lib/libXt.so.6.0.0                            
04f07000-04f17000 r-xp 00000000 fd:00 6326021                            /lib/libbz2.so.1.0.4                               
04f17000-04f18000 rw-p 00010000 fd:00 6326021                            /lib/libbz2.so.1.0.4                               
05450000-05487000 r-xp 00000000 fd:00 4266126                            /usr/lib/libcroco-0.6.so.3.0.1                     
05487000-0548a000 rw-p 00036000 fd:00 4266126                            /usr/lib/libcroco-0.6.so.3.0.1                     
05492000-054ca000 r-xp 00000000 fd:00 4266738                            /usr/lib/libgsf-1.so.114.0.10                      
054ca000-054cd000 rw-p 00037000 fd:00 4266738                            /usr/lib/libgsf-1.so.114.0.10                      
054cd000-054ce000 rw-p 054cd000 00:00 0                                                                                     
055e0000-055e3000 r-xp 00000000 fd:00 4685981                            /usr/lib/pango/1.6.0/modules/pango-hebrew-fc.so    
055e3000-055e4000 rw-p 00002000 fd:00 4685981                            /usr/lib/pango/1.6.0/modules/pango-hebrew-fc.so    
05b3b000-05b3f000 r-xp 00000000 fd:00 4262209                            /usr/lib/libORBitCosNaming-2.so.0.1.0              
05b3f000-05b40000 rw-p 00004000 fd:00 4262209                            /usr/lib/libORBitCosNaming-2.so.0.1.0              
05b80000-05b85000 r-xp 00000000 fd:00 6324321                            /lib/libnss_dns-2.9.so                             
05b85000-05b86000 r--p 00004000 fd:00 6324321                            /lib/libnss_dns-2.9.so                             
05b86000-05b87000 rw-p 00005000 fd:00 6324321                            /lib/libnss_dns-2.9.so                             
05c7e000-05c92000 r-xp 00000000 fd:00 4289966                            /usr/lib/libbonobo-activation.so.4.0.0             
05c92000-05c94000 rw-p 00014000 fd:00 4289966                            /usr/lib/libbonobo-activation.so.4.0.0             
05de5000-05ded000 r-xp 00000000 fd:00 4288769                            /usr/lib/libstartup-notification-1.so.0.0.0        
05ded000-05dee000 rw-p 00008000 fd:00 4288769                            /usr/lib/libstartup-notification-1.so.0.0.0        
06111000-06150000 r-xp 00000000 fd:00 6324363                            /lib/libfreebl3.so                                 
06150000-06151000 rw-p 0003e000 fd:00 6324363                            /lib/libfreebl3.so                                 
0625b000-062b6000 r-xp 00000000 fd:00 4289964                            /usr/lib/libbonobo-2.so.0.0.0                      
062b6000-062c0000 rw-p 0005a000 fd:00 4289964                            /usr/lib/libbonobo-2.so.0.0.0                      
06421000-06461000 r-xp 00000000 fd:00 5963840                            /usr/lib/firefox-3.0.5/components/libbrowsercomps.so
06461000-06463000 rw-p 0003f000 fd:00 5963840                            /usr/lib/firefox-3.0.5/components/libbrowsercomps.so
06531000-0660f000 r-xp 00000000 fd:00 6324337                            /lib/libasound.so.2.0.0                             
0660f000-06613000 rw-p 000de000 fd:00 6324337                            /lib/libasound.so.2.0.0                             
0673a000-06781000 r-xp 00000000 fd:00 6324288                            /lib/libssl.so.0.9.8g                               
06781000-06785000 rw-p 00046000 fd:00 6324288                            /lib/libssl.so.0.9.8g                               
06911000-06937000 r-xp 00000000 fd:00 6324326                            /lib/libnssdbm3.so                                  
06937000-06938000 rw-p 00025000 fd:00 6324326                            /lib/libnssdbm3.so                                  
069c5000-069fd000 r-xp 00000000 fd:00 6324404                            /lib/libsoftokn3.so                                 
069fd000-069fe000 rw-p 00037000 fd:00 6324404                            /lib/libsoftokn3.so                                 
06cad000-06cf7000 r-xp 00000000 fd:00 6324394                            /lib/libnssckbi.so                                  
06cf7000-06d02000 rw-p 0004a000 fd:00 6324394                            /lib/libnssckbi.so                                  
06d55000-06d72000 r-xp 00000000 fd:00 4262037                            /usr/lib/libdbus-glib-1.so.2.1.0                    
06d72000-06d73000 rw-p 0001d000 fd:00 4262037                            /usr/lib/libdbus-glib-1.so.2.1.0                    
06f85000-06fc4000 r-xp 00000000 fd:00 6324332                            /lib/libdbus-1.so.3.4.0                             
06fc4000-06fc5000 r--p 0003e000 fd:00 6324332                            /lib/libdbus-1.so.3.4.0                             
06fc5000-06fc6000 rw-p 0003f000 fd:00 6324332                            /lib/libdbus-1.so.3.4.0                             
07107000-0710b000 r-xp 00000000 fd:00 6324325                            /lib/libattr.so.1.1.0                               
0710b000-0710c000 rw-p 00003000 fd:00 6324325                            /lib/libattr.so.1.1.0                               
07121000-07127000 r-xp 00000000 fd:00 4271051                            /usr/lib/libfam.so.0.0.0                            
07127000-07128000 rw-p 00006000 fd:00 4271051                            /usr/lib/libfam.so.0.0.0                            
0712e000-07135000 r-xp 00000000 fd:00 6324239                            /lib/libacl.so.1.1.0                                
07135000-07136000 rw-p 00006000 fd:00 6324239                            /lib/libacl.so.1.1.0                                
0717c000-07189000 r-xp 00000000 fd:00 4849974                            /usr/lib/gnome-vfs-2.0/modules/libfile.so           
07189000-0718a000 rw-p 0000c000 fd:00 4849974                            /usr/lib/gnome-vfs-2.0/modules/libfile.so           
07747000-07749000 r-xp 00000000 fd:00 6324357                            /lib/libkeyutils-1.2.so                             
07749000-0774a000 rw-p 00001000 fd:00 6324357                            /lib/libkeyutils-1.2.so                             
07c29000-07c38000 r-xp 00000000 fd:00 5963841                            /usr/lib/firefox-3.0.5/components/libbrowserdirprovider.so
07c38000-07c39000 rw-p 0000e000 fd:00 5963841                            /usr/lib/firefox-3.0.5/components/libbrowserdirprovider.so
08048000-08053000 r-xp 00000000 fd:00 5963949                            /usr/lib/firefox-3.0.5/firefox                            
08053000-08054000 rw-p 0000a000 fd:00 5963949                            /usr/lib/firefox-3.0.5/firefox                            
08491000-0849f000 r-xp 00000000 fd:00 4287293                            /usr/lib/liblber-2.4.so.2.2.0                             
0849f000-084a0000 rw-p 0000d000 fd:00 4287293                            /usr/lib/liblber-2.4.so.2.2.0                             
08531000-08549000 r-xp 00000000 fd:00 4284736                            /usr/lib/libsasl2.so.2.0.22                               
08549000-0854a000 rw-p 00017000 fd:00 4284736                            /usr/lib/libsasl2.so.2.0.22                               
085c1000-085e2000 r-xp 00000000 fd:00 4278686                            /usr/lib/libssh2.so.1.0.0                                 
085e2000-085e3000 rw-p 00021000 fd:00 4278686                            /usr/lib/libssh2.so.1.0.0                                 
086c1000-086f2000 r-xp 00000000 fd:00 6324383                            /lib/libidn.so.11.5.28                                    
086f2000-086f3000 rw-p 00030000 fd:00 6324383                            /lib/libidn.so.11.5.28                                    
087b8000-0ca82000 rw-p 087b8000 00:00 0                                  [heap]                                                    
e7f98000-e8f98000 rw-p e7f98000 00:00 0                                                                                            
e9980000-e99fe000 r--p 00000000 fd:00 4358592                            /usr/share/fonts/dejavu/DejaVuSans-Oblique.ttf            
e99fe000-e99ff000 ---p e99fe000 00:00 0                                                                                            
e99ff000-ea3ff000 rwxp e99ff000 00:00 0                                                                                            
eae00000-eaee9000 rw-p eae00000 00:00 0                                                                                            
eaee9000-eaf00000 ---p eaee9000 00:00 0                                                                                            
eaf69000-eafff000 r--p 00000000 fd:00 4358593                            /usr/share/fonts/dejavu/DejaVuSans.ttf                    
eafff000-eb000000 ---p eafff000 00:00 0                                                                                            
eb000000-eba00000 rwxp eb000000 00:00 0                                                                                            
eba00000-ebb00000 rw-p eba00000 00:00 0                                                                                            
ebb11000-ebb6f000 rw-s 00000000 00:08 6127648                            /SYSV00000000 (deleted)                                   
ebbff000-edc00000 rw-p ebbff000 00:00 0                                                                                            
edc00000-edc9e000 rw-p edc00000 00:00 0                                                                                            
edc9e000-edd00000 ---p edc9e000 00:00 0                                                                                            
edd18000-edd76000 rw-s 00000000 00:08 6094879                            /SYSV00000000 (deleted)                                   
edd76000-eddf7000 rw-p edd76000 00:00 0                                                                                            
eddf7000-eddf8000 ---p eddf7000 00:00 0                                                                                            
eddf8000-ee7f8000 rwxp eddf8000 00:00 0                                                                                            
ee800000-ee8b7000 rw-s 00000000 00:08 5996572                            /SYSV00000000 (deleted)                                   
ee8b7000-ee8b9000 r-xp ee8b7000 00:00 0                                                                                            
ee8b9000-eeac5000 rw-p ee8b9000 00:00 0                                                                                            
ef1f9000-ef1fa000 ---p ef1f9000 00:00 0                                                                                            
ef1fa000-efbfa000 rwxp ef1fa000 00:00 0                                                                                            
efc07000-efc65000 rw-s 00000000 00:08 6062110                            /SYSV00000000 (deleted)                                   
efc65000-efc66000 r-xp efc65000 00:00 0                                                                                            
efc66000-efd31000 rw-p efc66000 00:00 0                                                                                            
efd72000-efdb2000 rw-s 00000000 00:08 6029341                            /SYSV00000000 (deleted)                                   
efdb2000-efdb8000 r-xp efdb2000 00:00 0                                                                                            
efdb8000-efdda000 rw-p efdb8000 00:00 0                                                                                            
efdda000-efe00000 r--p 00000000 fd:00 4620437                            /usr/share/fonts/liberation/LiberationSans-Italic.ttf     
efe00000-f0e00000 rw-p efe00000 00:00 0                                                                                            
f0e00000-f0f00000 rw-p f0e00000 00:00 0                                                                                            
f0f08000-f0f9b000 rw-s 00000000 00:08 5963803                            /SYSV00000000 (deleted)                                   
f0fbc000-f0ffc000 rw-s 00000000 00:08 5931034                            /SYSV00000000 (deleted)                                   
f0ffc000-f0ffd000 ---p f0ffc000 00:00 0                                                                                            
f0ffd000-f19fd000 rwxp f0ffd000 00:00 0                                                                                            
f19fd000-f19fe000 ---p f19fd000 00:00 0                                                                                            
f19fe000-f23fe000 rwxp f19fe000 00:00 0                                                                                            
f23fe000-f23ff000 ---p f23fe000 00:00 0                                                                                            
f23ff000-f2dff000 rwxp f23ff000 00:00 0                                                                                            
f2dff000-f2e00000 ---p f2dff000 00:00 0                                                                                            
f2e00000-f3800000 rwxp f2e00000 00:00 0                                                                                            
f3800000-f3900000 rw-p f3800000 00:00 0                                                                                            
f3925000-f3973000 r--p 00000000 fd:00 4358597                            /usr/share/fonts/dejavu/DejaVuSansMono.ttf                
f3a3e000-f3a9e000 rw-s 00000000 00:08 6160417                            /SYSV00000000 (deleted)                                   
f3a9e000-f3b34000 r--p 00000000 fd:00 4358593                            /usr/share/fonts/dejavu/DejaVuSans.ttf                    
f3bdb000-f3c65000 r--p 00000000 fd:00 4358590                            /usr/share/fonts/dejavu/DejaVuSans-Bold.ttf               
f3c65000-f3c80000 r--p 00000000 fd:00 4457354                            /usr/share/fonts/default/Type1/p052003l.pfb               
f3c9b000-f3ce0000 r--p 00000000 fd:00 4358598                            /usr/share/fonts/dejavu/DejaVuSerif-Bold.ttf              
f3ce0000-f3cf9000 r--p 00000000 fd:00 4457333                            /usr/share/fonts/default/Type1/n021003l.pfb               
f3cf9000-f4b65000 r--p 00000000 fd:00 4467380                            /usr/share/icons/hicolor/icon-theme.cache                 
f4b65000-f52a3000 r--p 00000000 fd:00 4721703                            /usr/share/icons/gnome/icon-theme.cache                   
f52a3000-f52ff000 r--p 00000000 fd:00 4456478                            /usr/share/icons/Fedora/icon-theme.cache                  
f52ff000-f5300000 ---p f52ff000 00:00 0                                                                                            
f5300000-f5d00000 rwxp f5300000 00:00 0                                                                                            
f5d00000-f5e00000 rw-p f5d00000 00:00 0                                                                                            
f5e0a000-f5e17000 r--p 00000000 fd:00 4727205                            /usr/share/icons/Mist/icon-theme.cache
f5e17000-f5e20000 r--p 00000000 fd:00 4263122                            /usr/share/locale/en_GB/LC_MESSAGES/glib20.mo
f5e2f000-f5e50000 r--p 00000000 fd:00 4620438                            /usr/share/fonts/liberation/LiberationSans-Regular.ttf
f5e50000-f5e71000 r--p 00000000 fd:00 4620366                            /usr/share/fonts/liberation/LiberationSans-Bold.ttf
f5e89000-f5ea2000 r--s 00000000 fd:00 4359742                            /usr/share/mime/mime.cache
f5ea2000-f5eee000 r--p 00000000 fd:00 4358599                            /usr/share/fonts/dejavu/DejaVuSerif.ttf
f5eee000-f5eef000 ---p f5eee000 00:00 0
f5eef000-f68ef000 rwxp f5eef000 00:00 0
f68ef000-f694f000 rw-s 00000000 00:08 5898265                            /SYSV00000000 (deleted)
f694f000-f6952000 r--s 00000000 fd:03 4358177                            /home/jorma/.fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-x86.cache-2
f6952000-f6958000 r--s 00000000 fd:03 4358176                            /home/jorma/.fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-x86.cache-2
f6958000-f695a000 r--s 00000000 fd:00 6620042                            /var/cache/fontconfig/c92de17a4917e89f837a0bbd6277be6a-x86.cache-2
f695a000-f695b000 r--s 00000000 fd:03 4358175                            /home/jorma/.fontconfig/b887eea8f1b96e1d899b44ed6681fc27-x86.cache-2
f695b000-f695c000 r--s 00000000 fd:03 4358174                            /home/jorma/.fontconfig/860639f272b8b4b3094f9e399e41bccd-x86.cache-2
f695c000-f695d000 r--s 00000000 fd:03 4358173                            /home/jorma/.fontconfig/211368abcb0ff835c229ff05c9ec01dc-x86.cache-2
f695d000-f695e000 r--s 00000000 fd:03 4358172                            /home/jorma/.fontconfig/c46020d7221988a13df853d2b46304fc-x86.cache-2
f695e000-f695f000 r--s 00000000 fd:03 4358171                            /home/jorma/.fontconfig/df893b4576ad6107f9397134092c4059-x86.cache-2
f695f000-f6960000 r--s 00000000 fd:03 4358170                            /home/jorma/.fontconfig/ff627ea95a65192232277bf7c8a56f23-x86.cache-2
f6960000-f6961000 r--s 00000000 fd:03 4358169                            /home/jorma/.fontconfig/900402270e15d763a6e008bb2d4c7686-x86.cache-2
f6961000-f6962000 r--s 00000000 fd:03 4358146                            /home/jorma/.fontconfig/2881ed3fd21ca306ddad6f9b0dd3189f-x86.cache-2
f6962000-f6965000 r--s 00000000 fd:03 4358168                            /home/jorma/.fontconfig/b67b32625a2bb51b023d3814a918f351-x86.cache-2
f6965000-f6968000 r--s 00000000 fd:03 4358167                            /home/jorma/.fontconfig/46b47dbc682d2ca4191e148ea7bde7f2-x86.cache-2
f6968000-f6969000 r--s 00000000 fd:03 4358166                            /home/jorma/.fontconfig/b4d0b56f766d89640448751fcd18ec1e-x86.cache-2
f6969000-f6972000 r--s 00000000 fd:03 4358151                            /home/jorma/.fontconfig/12b26b760a24f8b4feb03ad48a333a72-x86.cache-2
f6972000-f697a000 r--s 00000000 fd:03 4358149                            /home/jorma/.fontconfig/e19de935dec46bbf3ed114ee4965548a-x86.cache-2
f6980000-f6982000 r--p 00000000 fd:00 4265355                            /usr/share/locale/en_GB/LC_MESSAGES/atk10.mo
f6982000-f699b000 r--s 00000000 fd:00 4359742                            /usr/share/mime/mime.cache
f699b000-f699c000 ---p f699b000 00:00 0
f699c000-f739c000 rwxp f699c000 00:00 0
f739c000-f739d000 ---p f739c000 00:00 0
f739d000-f7d9d000 rwxp f739d000 00:00 0
f7d9d000-f7f9d000 r--p 00000000 fd:00 4280738                            /usr/lib/locale/locale-archive
f7f9d000-f7f9f000 rw-p f7f9d000 00:00 0
f7fa1000-f7fa3000 r--s 00000000 fd:03 4358148                            /home/jorma/.fontconfig/273572fe21058bf32b3be773088b9170-x86.cache-2
f7fa3000-f7fa6000 r--s 00000000 fd:00 6619977                            /var/cache/fontconfig/d04038e664b0033ae700a78c51f179d3-x86.cache-2
f7fa6000-f7fa9000 r--s 00000000 fd:00 6619942                            /var/cache/fontconfig/beeeeb3dfe132a8a0633a017c99ce0c0-x86.cache-2
f7fa9000-f7faa000 r--p 00000000 fd:00 4262410                            /usr/share/locale/en_GB/LC_MESSAGES/libc.mo
f7faa000-f7fb1000 r--s 00000000 fd:00 4326740                            /usr/lib/gconv/gconv-modules.cache
f7fb1000-f7fc2000 r--p 00000000 fd:00 4267606                            /usr/share/locale/en_GB/LC_MESSAGES/gtk20.mo
f7fc2000-f7fc3000 r--p 00baf000 fd:00 4280738                            /usr/lib/locale/locale-archive
f7fc3000-f7fc4000 rw-p f7fc3000 00:00 0
ffea2000-ffec1000 rwxp 7ffffffde000 00:00 0                              [stack]
ffec1000-ffec3000 rw-p 7fffffffd000 00:00 0


*** glibc detected *** /usr/lib/firefox-3.0.5/firefox: free(): invalid next size (fast): 0xefb69ac0 ***
======= Backtrace: =========                                                                           
/lib/libc.so.6[0x2443a4]                                                                               
/lib/libc.so.6(cfree+0x96)[0x246356]                                                                   
/lib/libgio-2.0.so.0[0x88c9fc]                                                                         
/lib/libgio-2.0.so.0[0x88b32c]                                                                         
/lib/libgio-2.0.so.0(g_content_type_guess+0xa1)[0x84c651]                                              
/lib/libgio-2.0.so.0[0x88306e]                                                                         
/lib/libgio-2.0.so.0[0x883d77]                                                                         
/lib/libgio-2.0.so.0[0x88101d]                                                                         
/lib/libgio-2.0.so.0[0x85c752]                                                                         
/lib/libgio-2.0.so.0[0x86e8b9]                                                                         
/lib/libgio-2.0.so.0[0x867e84]                                                                         
/lib/libglib-2.0.so.0[0x735306]                                                                        
/lib/libglib-2.0.so.0[0x733c6f]                                                                        
/lib/libpthread.so.0[0x38351f]                                                                         
/lib/libc.so.6(clone+0x5e)[0x2b904e]                                                                   
======= Memory map: ========                                                                           
00110000-00111000 r-xp 00110000 00:00 0                                  [vdso]                        
00111000-00155000 r-xp 00000000 fd:00 4283430                            /usr/lib/libpango-1.0.so.0.2203.0
00155000-00157000 rw-p 00044000 fd:00 4283430                            /usr/lib/libpango-1.0.so.0.2203.0
00157000-0015b000 r-xp 00000000 fd:00 4283470                            /usr/lib/libXfixes.so.3.1.0      
0015b000-0015c000 rw-p 00003000 fd:00 4283470                            /usr/lib/libXfixes.so.3.1.0      
0015c000-00164000 r-xp 00000000 fd:00 4283459                            /usr/lib/libXi.so.6.0.0          
00164000-00165000 rw-p 00007000 fd:00 4283459                            /usr/lib/libXi.so.6.0.0          
00165000-0016e000 r-xp 00000000 fd:00 4283479                            /usr/lib/libXcursor.so.1.0.2     
0016e000-0016f000 rw-p 00008000 fd:00 4283479                            /usr/lib/libXcursor.so.1.0.2     
0016f000-00174000 r-xp 00000000 fd:00 4280277                            /usr/lib/libXdmcp.so.6.0.0
00174000-00175000 rw-p 00004000 fd:00 4280277                            /usr/lib/libXdmcp.so.6.0.0
00175000-00179000 r-xp 00000000 fd:00 4686273                            /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
00179000-0017a000 rw-p 00003000 fd:00 4686273                            /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
0017a000-00187000 r-xp 00000000 fd:00 6324324                            /lib/libgcc_s-4.3.2-20081105.so.1
00187000-00188000 rw-p 0000c000 fd:00 6324324                            /lib/libgcc_s-4.3.2-20081105.so.1
00188000-00189000 r-xp 00000000 fd:00 884739                             /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
00189000-0018a000 rw-p 00001000 fd:00 884739                             /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
0018a000-001a6000 r-xp 00000000 fd:00 4283362                            /usr/lib/libgdk_pixbuf-2.0.so.0.1400.5
001a6000-001a7000 rw-p 0001b000 fd:00 4283362                            /usr/lib/libgdk_pixbuf-2.0.so.0.1400.5
001a9000-001ab000 r-xp 00000000 fd:00 4283571                            /usr/lib/libXcomposite.so.1.0.0
001ab000-001ac000 rw-p 00001000 fd:00 4283571                            /usr/lib/libXcomposite.so.1.0.0
001ac000-001af000 r-xp 00000000 fd:00 4266163                            /usr/lib/libcanberra-gtk.so.0.0.4
001af000-001b0000 rw-p 00002000 fd:00 4266163                            /usr/lib/libcanberra-gtk.so.0.0.4
001b0000-001d0000 r-xp 00000000 fd:00 6327197                            /lib/ld-2.9.so
001d1000-001d2000 r--p 00020000 fd:00 6327197                            /lib/ld-2.9.so
001d2000-001d3000 rw-p 00021000 fd:00 6327197                            /lib/ld-2.9.so
001d5000-00343000 r-xp 00000000 fd:00 6327198                            /lib/libc-2.9.so
00343000-00345000 r--p 0016e000 fd:00 6327198                            /lib/libc-2.9.so
00345000-00346000 rw-p 00170000 fd:00 6327198                            /lib/libc-2.9.so
00346000-00349000 rw-p 00346000 00:00 0
0034b000-0034e000 r-xp 00000000 fd:00 6327200                            /lib/libdl-2.9.so
0034e000-0034f000 r--p 00002000 fd:00 6327200                            /lib/libdl-2.9.so
0034f000-00350000 rw-p 00003000 fd:00 6327200                            /lib/libdl-2.9.so
00352000-00379000 r-xp 00000000 fd:00 6327201                            /lib/libm-2.9.so
00379000-0037a000 r--p 00026000 fd:00 6327201                            /lib/libm-2.9.so
0037a000-0037b000 rw-p 00027000 fd:00 6327201                            /lib/libm-2.9.so
0037d000-00393000 r-xp 00000000 fd:00 6327203                            /lib/libpthread-2.9.so
00393000-00394000 r--p 00015000 fd:00 6327203                            /lib/libpthread-2.9.so
00394000-00395000 rw-p 00016000 fd:00 6327203                            /lib/libpthread-2.9.so
00395000-00397000 rw-p 00395000 00:00 0
00399000-003c0000 r-xp 00000000 fd:00 4261867                            /usr/lib/libpng12.so.0.33.0
003c0000-003c1000 rw-p 00026000 fd:00 4261867                            /usr/lib/libpng12.so.0.33.0
003c3000-003d6000 r-xp 00000000 fd:00 6327209                            /lib/libz.so.1.2.3
003d6000-003d7000 rw-p 00012000 fd:00 6327209                            /lib/libz.so.1.2.3
003d7000-00405000 r-xp 00000000 fd:00 4280237                            /usr/lib/libfontconfig.so.1.3.0
00405000-00406000 rw-p 0002e000 fd:00 4280237                            /usr/lib/libfontconfig.so.1.3.0
00406000-00411000 r-xp 00000000 fd:00 6324322                            /lib/libnss_files-2.9.so
00411000-00412000 r--p 0000a000 fd:00 6324322                            /lib/libnss_files-2.9.so
00412000-00413000 rw-p 0000b000 fd:00 6324322                            /lib/libnss_files-2.9.so
00413000-0041a000 r-xp 00000000 fd:00 4262269                            /usr/lib/libvorbisfile.so.3.2.0
0041a000-0041b000 rw-p 00006000 fd:00 4262269                            /usr/lib/libvorbisfile.so.3.2.0


*** glibc detected *** /usr/lib/firefox-3.0.5/firefox: malloc(): memory corruption (fast): 0xeef279d0 ***
======= Backtrace: =========                                                                             
/lib/libc.so.6[0x2443a4]                                                                                 
/lib/libc.so.6[0x247356]                                                                                 
/lib/libc.so.6(__libc_malloc+0x95)[0x248765]                                                             
/lib/libglib-2.0.so.0(g_malloc+0x34)[0x711a24]                                                           
/lib/libgio-2.0.so.0(g_themed_icon_new_from_names+0x35)[0x86f785]                                        
/lib/libgio-2.0.so.0(g_content_type_get_icon+0x1c9)[0x84cf69]                                            
/lib/libgio-2.0.so.0[0x88490b]                                                                           
/lib/libgio-2.0.so.0[0x88101d]                                                                           
/lib/libgio-2.0.so.0[0x85c752]                                                                           
/lib/libgio-2.0.so.0[0x86e8b9]                                                                           
/lib/libgio-2.0.so.0[0x867e84]                                                                           
/lib/libglib-2.0.so.0[0x735306]                                                                          
/lib/libglib-2.0.so.0[0x733c6f]                                                                          
/lib/libpthread.so.0[0x38351f]                                                                           
/lib/libc.so.6(clone+0x5e)[0x2b904e]                                                                     
]
Comment 1 Pasi Sjöholm 2009-01-28 14:39:30 EST
Does not crash with Firefox 3.1b2 from Mozilla's website.

And this crashing showed up just recently, everything has been working ok up until last/this week.
Comment 2 Matěj Cepl 2009-01-28 16:47:05 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

What kind of file made firefox crash? Could you give us URL of an example file which leads to the crash?

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of gdb debugger. Then use command run and do whatever you did to make firefox crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Pasi Sjöholm 2009-01-28 17:35:22 EST
>rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*
mozilla-vlc-0.9.8a-1.fc10.i386
firefox-3.0.5-1.fc10.i386
mozilla-filesystem-1.9-2.fc10.x86_64
xulrunner-debuginfo-1.9.0.5-1.fc10.i386
firefox-debuginfo-3.0.5-1.fc10.i386
xulrunner-1.9.0.5-1.fc10.x86_64
xulrunner-1.9.0.5-1.fc10.i386

Anyways, I figured out what is the problem after I got the full backtrace (had to install quite many debug-rpm's).

I had a file named "työ" (with one scandinavian character an "o with umlaut". I renamed this file to "tyo" and guest what.. no more crashing.

Full backtrace attached as attachment.
Comment 4 Pasi Sjöholm 2009-01-28 17:36:11 EST
Created attachment 330296 [details]
backtrace of firefox crash
Comment 5 Pasi Sjöholm 2009-01-28 17:55:16 EST
Also the file was in my home directory and as Firefox will be in my home dir when the "Enter name of file to save to.."-dialog opens -> crash.

I ran few tests, and at least Firefox crashes if I go to a directory which has a file a character 'å' or 'ö' or in it's name but it does not crash with 'ä'.
Comment 6 Matěj Cepl 2009-01-28 19:27:07 EST
Seems to me like the crash is really somewhere in the dialog window. Passing to Gtk+ component for further investigation.
Comment 7 Bug Zapper 2009-11-18 05:53:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 02:43:29 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.